=== debian/control ===
Source: ros-humble-reach-ros
Section: misc
Priority: optional
Maintainer: mripperger <mripperger@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-interactive-markers, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-moveit-ros-planning-interface, ros-humble-reach, ros-humble-sensor-msgs, ros-humble-tf2-eigen, ros-humble-visualization-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-reach-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-interactive-markers, ros-humble-joint-state-publisher, ros-humble-moveit-core, ros-humble-moveit-msgs, ros-humble-moveit-ros-planning-interface, ros-humble-reach, ros-humble-robot-state-publisher, ros-humble-sensor-msgs, ros-humble-tf2-eigen, ros-humble-visualization-msgs, ros-humble-xacro, ros-humble-ros-workspace
Description: The reach_ros package
